api_documentation: http://docs.ros.org/fuerte/api/geometry_msgs/html
authors: Tully Foote
brief: Messages for geometric primatives
bugtracker: ''
depends: ''
depends_on:
- r2_msgs
- pcl16_ros
- imu_parser
- iri_wam_ik
- tidyup_msgs
- osx_joystick
- ee_cart_imped_control
- visual_servo
- rqt_pose_view
- pose_graph
- map_annotation
- cob_object_detection_msgs
- message_to_tf
- rosserial_embeddedlinux
- ar_bounding_box
- visualization_msgs
- iri_wam_wrapper
- biped_robin_teleop
- iri_laser_icp
- iri_wam_tutorial
- laser_scan_matcher
- sensor_msgs
- static_transform_broadcaster
- laser_joint_processor
- openni_tracker
- zyonz_camera_pose_around_point
- srs_human_sensing
- metralabs_ros
- april_msgs
- ee_cart_imped_msgs
- elektron_calibration
- kinton_vs_control
- rcommander_pr2_gui
- pr2_led_kinect_calib
- semanticmodel
- hrl_meka_skin_sensor_darpa_m3
- laser_assembler
- coverage_3d_srvs
- pr2_doors_actions
- simple_move_base
- reem_kinematics_constraint_aware
- hrl_haptic_mpc
- iri_darwin_odom_twist
- octomap_msgs
- tibi_dabo_smachs
- jaco_driver
- hector_interactive_marker_pose_server
- pr2_calibration_launch
- costmap_2d
- srs_env_model_ui
- point_cloud_vtk_tools
- life_test
- object_manipulation_msgs
- rve_interfaces
- visp_tracker
- tug_ist_diagnosis_board
- pole_structure_mapper
- jsk_gui_msgs
- srs_assisted_arm_navigation_msgs
- visp_hand2eye_calibration
- fast_plane_detection
- hrl_segway_omni
- pr2_controllers_msgs
- tf2_geometry_msgs
- pr2_mechanism_controllers
- cogman_msgs
- biped_robin_footstep_planner
- move_base_rfn
- rviz_interaction_tools
- tibi_dabo_head_tracking
- point_cloud_server
- asctec_hl_interface
- people_msgs
- imu_filter
- rtai_ros_bridge
- teleop_controllers
- pal_vision_segmentation
- jsk_smart_gui
- pr2_pickup_object_demo
- kingfisher_teleop
- srs_grasping
- tibi_dabo_platform_simulator
- iri_wam_smach
- iri_safe_cmd
- rosserial_arduino
- iri_uncalibvs
- articulation_models
- iri_force_navigation_learning
- applanix_msgs
- quad_joy_teleop
- katana_kinematics_constraint_aware
- rovio_ctrl
- door_perception_old
- iri_laser_people_detection_fusion
- reem_teleop_coordinator
- teleop_twist_keyboard
- rosserial_adk_demo
- iri_cylinder_detector
- irobot_create_2_1
- phidgets_imu
- art_map
- kelsey_sandbox
- bipedRobin_footstep_planner
- tff_controller
- vision_srvs
- pointcloud_registration
- pykdl_utils
- ncd_parser
- robot_pose_publisher
- corobot_map_to_jpeg
- hrl_haptic_manipulation_in_clutter_msgs
- ptam_com
- quad_OF
- amigo_gazebo
- srs_msgs
- iri_localization3d
- rail_youbot_teleop
- cob_spacenav_teleop
- biped_robin_msgs
- pr2_gazebo
- tf_relay
- dlut_pc_odom
- iri_stereo_visual_odometry
- hrl_srvs
- eddiebot_line_follower-RelWithDebInfo@eddiebot_line_follower
- iri_force_robot_companion
- r2_teleop
- rqt_bipedRobinDriver
- iri_ati_force_sensor
- camera_offsetter
- elektron_teleop
- door_handle_detector
- opencv_fitting
- srs_object_verification
- pr2_marker_control
- icr
- teo_gazebo_plugin
- pr2_plugs_gazebo_demo
- schunk_simulated_tactile_sensors
- lse_roomba_tf_setup
- mod_semantic_map
- turtlebot_calibration
- tele_mobile
- calibration_launch
- rqt_bag_plugins
- iri_wam_arm_navigation
- pr2_teleop_general
- iri_segway_rmp200_twist_odom
- image_view2
- gazebo_plugins
- move_action_server
- explore_hrl
- pr2_laser_follow_behavior
- robot_pose_ekf
- pr2_common_action_msgs
- rfid_artoolkit
- pi_head_tracking_3d_part1
- occupancy_grid_utils
- iri_artag_image_based_vs
- serializer
- ros_vrpn_client
- vicon_bridge
- iri_platform_teleop
- cob_srvs
- stereo_wall_detection
- nao_driver
- karto_scan_matcher
- kinematics_msgs
- humanoid_nav_msgs
- srs_people_tracking_filter
- re_vision
- ar_pose
- location_memorizer
- pr2_omni_teleop
- pr2_gripper_reactive_approach
- blort_ros
- wifi_ddwrt
- iri_image_reader
- gazebo
- room_explore
- walk_tools
- zyonz_nbv_geometric_simple
- laser_camera_segmentation
- nmea_gps_driver
- rcommander
- komodo_sensors
- auction_srvs
- door_perception
- iri_wam_dmp_tracker
- robchair_driver
- iri_people_follower
- move_slow_and_clear
- urdf_python
- starmac_kinect
- katana_object_manipulator
- eddiebot_line_follower
- hrl_phri_2011
- rqt_tf_tree
- furniture_classification
- articulation_perception
- ROSARIA
- rotate_recovery
- katana_teleop
- enu
- ndt_mcl
- reem_diffdrive_plugin
- pr2_interactive_gripper_pose_action
- iri_segway_rmp200
- quad_position
- pacman_controller
- kinton_odom
- cob_script_server
- image_rotate
- kinton_arm_tag_tracker
- pr2_manipulation_controllers
- hector_pose_estimation
- camera_calibration
- rotating_unit
- move_arm
- ias_drawer_executive
- pr2_pose_saver
- triangle_mesh_msgs
- mav_odom_interface
- rve_msgs
- pr2_base_recovery
- humanoid_localization
- teo_apps
- iri_people_simulation
- simple_Jtranspose_controller
- zyonz_find_leaf_probing_points
- mrl_robots_teleop
- netft_rdt_driver
- pcl_cloud_tools
- darwin_simple_nav
- bumper_gazebo_plugin
- convert_pose
- table_objects
- graspit_ros_planning
- fmk_ros_bridge
- iri_robot_pose_ekf
- iri_darwin_odom
- camera_pose_toolkits
- amigo_description
- hector_exploration_planner
- camera_pose_aruco
- bipedRobin_driver
- laser_avoid
- arm_navigation_msgs
- openni_pointer
- omni_ethercat
- cr_capture
- checkerboard_detector2
- kinect_teleop
- lse_miniq_driver
- orrosplanning
- probabilistic_grasp_planner
- turtlebot_node
- ethzasl_point_cloud_vtk_tools
- laser_joint_projector
- imu_recalibration
- asctec_autopilot
- tulip_gazebo
- iri_pmdcamera
- modular_cloud_matcher
- simple_occupancy_grid
- teleop_wii
- rqt_biped_robin_driver
- husky_bringup
- handle_detection
- posedetection_msgs
- robot_setup_tf_tutorial
- interactive_marker_helpers
- iri_door_detector
- darwin_simple_nav_client
- household_objects_database_msgs
- navp_action
- wire_viz
- navfn
- hrl_clickable_display
- tabletop_object_detector
- katana
- pr2_execution_trace_visualization
- iri_arm_movements_by_pose
- bipedRobinBase_local_planner
- move_base
- laser_interface
- nao_remote
- hrl_lib
- iri_clothes_grasping_point
- estirabot_msgs
- mtconnect_cnc_robot_example
- uncertain_tf
- srs_ui_but
- cram_feature_constraints
- srs_decision_making
- m3skin_ros
- sbpl_cart_planner
- collvoid_msgs
- iri_obj_filter
- flyer_est
- scout_ndirect
- pi_head_tracking_3d_part2
- tf2
- topological_nav_msgs
- thymio_navigation_driver
- hai_sandbox
- modular_cloud_matcher_experiments
- iri_wam_common_msgs
- pose_ekf_slam
- pr2_grasp_adjust
- joint_position_controller
- message_pub_tf
- zyonz_apps
- clearpath_base
- iri_laser_localisation
- iri_laser_people_detection
- rviz
- iri_pose_based_vs
- iri_ackermann_local_planner
- sick_lms400
- hrl_motion_planners_darpa_m3
- graspit_ros_planning_msgs
- pr2_gazebo_cartworld
- dlut_move_base
- tf
- triangle_mesh_rviz_plugin
- UI_segment_object
- hector_gazebo_plugins
- handeye_log
- evart_bridge
- cpl_visual_features
- eigen_conversions
- pr2_clutter_helper
- iri_laser_people_label
- approach_table_tools
- applanix_publisher
- pr2_teleop
- mtconnect_arm_navigation
- darwin_autocharge
- rfid_explore_room
- coverage_3d_msgs
- eband_local_planner
- iri_laser_navigation
- pr2_pan_tilt
- sbpl_lattice_planner
- osm_cartography
- pcl_ros
- hrl_pr2_lib
- tree_kinematics
- hector_quadrotor_controller
- move_arm_warehouse
- pcl_cloud_algos
- find_base_pose
- turtlebot_teleop
- srs_user_tests
- tk_handjoystick
- iri_uncalibvs_sim
- fctuc_open_day
- costmap_trajectory_checker
- zyonz_image_based_leaf_probing
- nao_msgs
- iri_no_collision
- iri_bhand
- kurt_gazebo_plugins
- motion_adaption
- srs_symbolic_grounding
- rosie_execution_trace_visualization
- ssf_updates
- sba
- geographic_msgs
- ethzasl_icp_mapper
- hector_elevation_msgs
- iri_people_follower_client
- re_msgs
- iri_msg_to_odom
- prolog_perception
- tf_broadcast_server
- clutter_segmentation
- bipedRobin_teleop
- graph_slam
- grasp_motion
- iri_map_location
- fingertip_pressure
- pixel_2_3d
- iri_wam_controller
- roomba_500_series
- eddiebot_node
- base_local_planner
- coverage_3d_tools
- iri_ual_catec
- posedetectiondb
- hrl_pr2_door_opening
- hrl_software_simulation_darpa_m3
- interactive_tf
- flyer_interface
- srs_training
- iri_diff_local_planner
- iri_perception_msgs
- pr2_plugs_common
- corobot_state_tf
- mav_ctrl_interface
- rgbdslam
- ias_table_msgs
- iri_segway_rmp400
- segway_rmpX
- hector_uav_msgs
- visp_bridge
- image_cb_detector
- hrl_generic_arms
- erratic_teleop
- blort
- mrl_robots_drivers
- tabletop_pushing
- demo_msgs
- visp_auto_tracker
- calibration_msgs
- rviz_qt
- icr_msgs
- cob_vel_integrator
- imu_filter_madgwick
- pr2_laser_snapshotter
- pr2_arm_move_ik
- tf2_ros
- vision_msgs
- worldmodel_msgs
- bipedRobin_navigation
- gazebo_tests
- move_base_simple
- zyonz_obtain_roi_jump_edge_based
- assistive_teleop
- srs_environments
- collvoid_controller
- cob_teleop
- pr2_hardware_interface
- zyonz_msgs
- iri_pcl_filters
- robot_mechanism_controllers
- ethzasl_icp_mapper_experiments
- elektron_base
- continuous_ops_alerts
- pcl_vtk_tools
- mongo_ros
- spacenav_node
- nao_openni
- robot_face
- trf_learn
- iri_nav_msgs
- move_base_msgs
- table_pose
- pr2_plugs_msgs
- laser_ortho_projector
- cr_calibration
- youbot_overhead_localization
- arl_ardrone_examples
- xsens_driver
- drive_base_action
- iri_segway_rmp200_odom
- control_msgs
- iri_my_labeler
- pr2_arm_kinematics
- reactive_grasping_pr2
- pr2_pick_and_place_service
- hrl_pr2_kinematics_tutorials
- hector_compressed_map_transport
- iri_segway_rmp400_odom
- pr2_gripper_grasp_planner_cluster
- katana_tabletop_manipulation_launch
- darwin_icra12
- hector_pose_estimation_core
- mrl_robots_sensors
- iri_oa_client
- map_tiler
- cstf
- hrl_clickable_world
- openrave_msgs
- geodesy
- biped_robin_driver
- cart_pushing_msgs
- biped_robin_navigation
- iri_laser_scan_matcher
- art_msgs
- pr2_head_action
- auction_msgs
- gazebo_taskboard
- pr2_pick_and_place_demos
- pr2_drive_life_test
- turtlebot_gazebo_plugins
- clearpath_teleop
- iri_wam_test
- ias_table_srvs
- explore
- iri_checkpoint_nav
- object_recognition_gui
- random_walk
- iri_force_navigation
- pr2_laban_gazebo_demo
- face_detector
- python_msg_conversions
- pr2_wrappers
- iri_transform_pose
- pr2_approach_table
- tidyup_executive
- phidgets_ir
- rqt_robot_steering
- hrl_haptic_manipulation_in_clutter_srvs
- erratic_player
- jsk_pcl_ros
- rfid_servoing
- wiimote
- shape_msgs
- point_cloud_ros
- articulate_cart
- pr2_grasp_behaviors
- axis_camera
- particle_plume
- telekyb_msgs
- door_manipulation_tools
- oro_joint_state_publisher
- element
- tf_trajectory_visualization
- jsk_perception
- netft_ethercat_hardware
- nav_core
- kurt_teleop
- kurt_base
- traxbot_robot
- iri_wam_move_arm
- katana_openrave_grasp_planner
- srs_leg_detector
- thermalvis
- cob_base_velocity_smoother
- pr2_create_object_model
- tf2_msgs
- teleop_microscribe
- pr2_biolab_gazebo_demo
- rxbag_plugins
- hardcoded_facts
- bipedRobin_msgs
- lwr_impedance_controller
- rgbd_assembler
- iri_ry_oa_bridge
- route_network
- asctec_hl_gps
- hector_quadrotor_gazebo_plugins
- pose_base_controller
- pr2_gripper_click
- gazebo_msgs
- pr2_gazebo_plugins
- ccny_rgbd
- hector_quadrotor_teleop
- pi_tracker
- mrobot_ros_bridge
- pr2_navigation_perception
- kinton_arm_task_priority_control
- iri_wam_cartesian_planning
- tf2_kdl
- cob_undercarriage_ctrl
- phantom_omni
- sensor_fusion_comm
- hector_nav_msgs
- mapping_ias_msgs
- openrave_sensors
- portrait_painter
- simulated_quadrotor
- ar_track_alvar
- fake_localization
- iri_camera_object_learner_server
- pr2_plugs_actions
- srs_arm_navigation_tests
- interpolated_ik_motion_planner
- cart_state_estimator
- telekyb_vicon
- iri_force_robot_companion_learning
- articulation_structure
- r2_controllers_gazebo
- position_string_msgs
- reem_head_action
- tf2_bullet
- kinect_depth_calibration
- vicon_mocap
- rtklib
- map_msgs
- mtconnect_state_machine
- ab_filter
- hrl_geom
- cob_interactive_teleop
- simulator_art
- brics_actuator
- 2010_icra_epc_pull
- nav_msgs
- iri_darwin_robot
- tf_conversions
- srs_knowledge
- articulation_msgs
- face_finder
- iri_pcl_app
- pr2_object_manipulation_msgs
- hector_elevation_mapping
- cotesys_ros_grasping
- hector_costmap
- walk_msgs
- tidyup_utils
- iri_deformable_analysis
- sr_gazebo_plugins
- object_segmentation_gui
- katana_interpolated_ik_motion_planner
- asctec_hl_comm
- iri_common_smach
- rqt_nav_view
- iri_artag_pose_based_vs
- ar_kinect
- iri_wam_actions
- stage
- iri_bspline_navfn
- quad_height
- eddiebot_teleop
- kurtana_tabletop_manipulation_launch
- pp_explorer
- arbotix_python
- omnix
- pr2_msgs
- simple_arm_server
- skeleton_markers
- twist_recovery
- object_manipulator
- manipulation_transforms
- camera_pose_calibration
- iri_object_detection
- dynamic_tf_publisher
- door_msgs
- iri_poseslam
- iri_my_database_publ
- assisted_teleop
- ar_pose_old
- rosh_geometry
- roseus
- ros_arduino_python
- neato_node
- komodo_rover
description: "\n\n    geometry_msgs provides messages for common geometric primatives\n\
  \    such as points, vectors, and poses. These primatives are designed\n    to provide\
  \ a common data type and facilitate interoperability\n    throughout the system.\n\
  \n  "
doc_job: doc-fuerte-common_msgs
license: BSD
maintainers: ''
metapackages:
- common_msgs
msgs:
- PoseWithCovariance
- Twist
- Quaternion
- PolygonStamped
- Vector3
- QuaternionStamped
- PoseStamped
- WrenchStamped
- Polygon
- PointStamped
- PoseArray
- PoseWithCovarianceStamped
- Point32
- TwistWithCovariance
- Wrench
- TwistStamped
- Pose
- Vector3Stamped
- Pose2D
- Point
- TwistWithCovarianceStamped
- Transform
- TransformStamped
package_type: package
repo_name: common_msgs
repo_url: ''
srvs: []
timestamp: 1388249569.701503
url: http://ros.org/wiki/geometry_msgs
vcs: git
vcs_uri: https://github.com/ros/common_msgs.git
vcs_version: fuerte-devel
